<script type="text/javascript">
$(function(){
	////	ONGLETS / OPTIONS (chaque onglet ".objMenuLabel" doit avoir un "for" correspondant à l'Id de son div)
	if($("#objMenuLabels").exist())
	{
		//Change de menu
		$(".objMenuLabel").click(function(){
			//Réinit les autres menus
			$(".objMenuLabel").not(this).each(function(){
				$("#"+$(this).attr("for")).hide();
				$(this).addClass("objMenuLabelUnselect");
			});
			//Affiche le block sélectionné
			$("#"+$(this).attr("for")).show();//affichage direct, pas "fadeIn" (cf. "lightboxResize()")
			$(this).removeClass("objMenuLabelUnselect");
		});
		//Affiche le menu du premier onglet
		$(".objMenuLabel:first-child").trigger("click");
	}

	////	AFFECTATIONS : CLICK DE LABEL
	$(".vSpaceTable:visible .vSpaceLabel").click(function(){
		//Init
		var boxRead		 ="#objectRightBox_"+this.id+"_1";
		var boxWriteLimit="#objectRightBox_"+this.id+"_15";
		var boxWrite	 ="#objectRightBox_"+this.id+"_2";
		var boxToCheck=null;
		//Bascule les checkbox : lecture / ecriture limité / écriture
		if(!$(boxRead).prop("disabled") && !$(boxRead).prop("checked") && !$(boxWriteLimit).prop("checked") && !$(boxWrite).prop("checked"))	{boxToCheck=boxRead;}		//"1" actif && tout est décochées
		else if(!$(boxWriteLimit).prop("disabled") && !$(boxWriteLimit).prop("checked") && !$(boxWrite).prop("checked"))						{boxToCheck=boxWriteLimit;}	//"1.5" actif && "1.5" décoché && "2" décoché
		else if(!$(boxWrite).prop("disabled")  &&  !$(boxWrite).prop("checked")  &&  ( ($(boxRead).prop("disabled") && $(boxWriteLimit).prop("disabled")) || ($(boxRead).prop("checked") && $(boxWriteLimit).prop("disabled")) || $(boxWriteLimit).prop("checked")))	{boxToCheck=boxWrite;}	//"2" actif && "2" décoché &&  ( ("1" inatif & "1.5" inatif) || ("1" coché & "1.5" inactif) || "1.5" coché)
		//Check la box sélectionnée (avec trigger sur la box)  OU  Uncheck toutes les boxes et Stylise toute la sélection
		if(boxToCheck!=null)	{$(boxToCheck).prop("checked",true).trigger("change");}
		else					{$("[id^='objectRightBox_"+this.id+"']").prop("checked",false);  labelStyleRightControl();}
	});

	////	AFFECTATIONS : CLICK DE CHECKBOX
	$(".vSpaceTable:visible [id^='objectRightBox']").change(function(){
		var objectRight=$(this).val();
		var targetId=objectRight.slice(0, objectRight.lastIndexOf("_"));//exple "1_U2_1.5" => "1_U2"
		$("[id^='objectRightBox_"+targetId+"']").not(this).prop("checked",false);//"uncheck" les autres checkbox du "target"
		labelStyleRightControl(this.id);//Style des labels & Controle des droits
	});

	////	SELECTIONNE UN NOUVEAU FICHIER JOINT
	$("input[name^='addAttachedFile']").change(function(){
		//Fichier OK : affiche l'input suivant et affiche au besoin "insertion dans le text" (+ Check par défaut)
		if($(this).isEmpty()==false && this.files[0].size < <?= File::uploadMaxFilesize() ?>){
			var cptFile=Math.round(this.name.replace("addAttachedFile",""));
			var fileExtension=extension($(this).val());
			var acceptedExtensions=['<?= implode("','",File::fileTypes("attachedFileInsert")) ?>'];
			if($("#addAttachedFileInsert"+cptFile).exist() && $.inArray(fileExtension,acceptedExtensions)!==-1){
				$("#addAttachedFileDiv"+cptFile+" .addAttachedFileInsertDiv").show();
				$("#addAttachedFileInsert"+cptFile+":not(:checked)").trigger("click");
			}
			$("#addAttachedFileDiv"+(cptFile+1)).fadeIn();
		}
	});

	////	AFFICHE TOUS LES USERS D'UN ESPACE
	$(".vShowAllSpaceUsers").click(function(){
		$($(this).attr("for")+" .vSpaceHideUser").hide().removeClass('vSpaceHideUser').fadeIn(500);//enlève la class pour masquer les users.. et raffiche avec un fadeIn
		lightboxResize(true);//resize le lightbox
		$('body').css('overflow-x','hidden');//enlège l'overflow ajouté dans la foulée..
		$(this).hide();//masque le menu
	});

	////	AFFICHE/MASQUE LES BLOCKS D'ESPACES
	//Masque les espaces sans affectations (sauf espace courant)
	$("[id^=spaceTable]").each(function(){
		if(this.id!="spaceTable<?= Ctrl::$curSpace->_id ?>" && $("#"+this.id+" [name='objectRight[]']:checked").length==0)  {$(this).hide();}
	});
	//Montre "Afficher tous les espaces"?
	if($(".vSpaceTable:hidden").exist())  {$(".vShowAllSpaces").fadeIn().effect("pulsate",{times:1},1500);}

	////	INIT LA PAGE
	//Masque et désactive les droits "boxWriteLimit"
	<?php if($curObj::isContainer()==false){ ?>
		$("[name='objectRight[]'][value$='_1.5']").prop("disabled",true);
		$(".vSpaceWriteLimit").hide();
	<?php } ?>
	//Init le style des labels
	labelStyleRightControl();
	//Fixe la hauteur minimum : évite à "lightboxResize()" de jouer si on passe d'un gros menu à un plus petit..
	$("#objMenuBlocks").css("min-height",$("#objMenuBlocks").height());
	//Focus sur le premier champ obligatoire (fin de text)
	<?php if(!empty($curObj::$requiredFields) && Tool::isMobile()==false)  {echo "$('input[name=".$curObj::$requiredFields[0]."]').focus().val($('input[name=".$curObj::$requiredFields[0]."]').val());";} ?>
});

////	STYLISE LES LABELS ET CONTROLE LES DROITS D'ACCÈS
function labelStyleRightControl(boxId)
{
	notifFullAccess=null;
	//Réinitialise les class des lignes et labels
	$(".vSpaceTable:visible .vSpaceLabel").removeClass("sAccessRead sAccessWriteLimit sAccessWrite");
	$(".vSpaceTable:visible [id^=targetLine]").removeClass("sTableRowSelect");
	//Stylise les labels des checkbox sélectionnées
	$("[name='objectRight[]']:checked").each(function(){
		//Récupère le droit de la checkbox && l'id du label correspondant
		var targetRight=this.id.split('_').pop();
		var targetLabelId=this.id.substring(0, this.id.lastIndexOf('_')).replace('objectRightBox_','');
		//Stylise le label
		if(targetRight=="1")		{$("#"+targetLabelId).addClass("sAccessRead");}
		else if(targetRight=="15")	{$("#"+targetLabelId).addClass("sAccessWriteLimit");}
		else if(targetRight=="2")	{$("#"+targetLabelId).addClass("sAccessWrite");}
		//Ligne sélectionnée : surligne
		$("#targetLine"+targetLabelId).addClass("sTableRowSelect");
		//Sujet du forum : affiche si besoin "Le droit en écriture permet d'effacer tous les messages du sujet!"
		if("<?= $curObj::objectType ?>"=="forumSubject"  &&  notifFullAccess===null  &&  targetRight=="2"  &&  $("[name='objectRight[]'][value='"+this.value.replace('_2','_1.5')+"']").is(":disabled")==false)
			{notifFullAccess=true;  notify("<?= Txt::trad("EDIT_notifWriteAdvice") ?>");}
	});
	//Control Ajax d'une affectation (droit d'accès) pour un sous dossier
	<?php if($curObj::isFolder && $curObj->containerObj()->isRootFolder()==false){ ?>
	if(typeof boxId!="undefined" && $("#"+boxId).prop("checked"))
	{
		var ajaxUrl="?ctrl=object&action=AccessRightParentFolder&targetObjId=<?= Ctrl::getObj($curObj::objectType,$curObj->_idContainer)->_targetObjId ?>&objectRight="+$("#"+boxId).val();
		$.ajax({url:ajaxUrl,dataType:"json"}).done(function(ajaxResult){
			if(typeof ajaxResult.error!="undefined")	{notify(ajaxResult.message);}
		});
	}
	<?php } ?>
}

////	SUPPRESSION D'UN FICHIER JOINT
function deleteAttachedFile(_id)
{
	if(confirm("<?= Txt::trad("confirmDelete") ?>")){
		var ajaxUrl="?ctrl=object&action=deleteAttachedFile&_id="+_id;
		var ajaxResult=$.ajax({url:ajaxUrl,async:false}).responseText;//Attend la réponse Ajax pour passer à la suite (async:false)
		if(find("true",ajaxResult)){
			$("#menuAttachedFile"+_id).fadeOut();
			tinymce.activeEditor.dom.remove("tagAttachedFile"+_id);//pas besoin de "#" pour select l'id
		}
	}
}

////	CONTROLE FINAL DU FORMULAIRE
function finalFormControl()
{
	//Init
	var validForm=true;
	////	Verif des champs obligatoires (s'ils sont spécifiés)
	var notifRequiredFields="";
	<?php foreach($curObj::$requiredFields as $tmpField){?>
	var isEmptyField=<?= ($tmpField==$curObj::htmlEditorField)  ?  "isEmptyEditor('".$curObj::htmlEditorField."');"  :  "$(\"[name='".$tmpField."']\").isEmpty();" ?>//champs tinyMce OU input "text"
	if($("[name='<?= $tmpField ?>']").exist() && isEmptyField==true){
		validForm=false;
		notifRequiredFields+="<br><?= Txt::trad($tmpField) ?>";
		$("[name='<?= $tmpField ?>']").focusRed();
	}
	<?php } ?>
	////	Notif pour les champs obligatoires vides
	if(notifRequiredFields.length>0)	{notify("<?= Txt::trad("requiredFields") ?> : "+notifRequiredFields);}
	////	Controle le formatage des dates
	$(".dateInput,.dateBegin,.dateEnd").each(function(){
		if(this.value.length>0){
			var dateMatch=/^\d{2}\/\d{2}\/\d{4}$/.exec(this.value);
			if(dateMatch==null)   {validForm=false;  notify("<?= Txt::trad("dateFormatError") ?>");}
		}
	});
	////	Controle d'un invité
	if($("[name='guest']").exist()){
		if($("[name='guest']").isEmpty())	{validForm=false;  notify("<?= Txt::trad("EDIT_notifGuest") ?>");}
		else if(captchaControl()==false)	{validForm=false;}
	}
	////	Controle les affectations
	if($("[name='objectRight[]']").length>0)
	{
		//Aucune affectation : false
		if($(":checked[name='objectRight[]']").length==0)	{validForm=false;  notify("<?= Txt::trad("EDIT_notifNoSelection") ?>");}
		//Sujet du forum et uniquement des accès en lecture : false!
		if("<?= $curObj::objectType ?>"=="forumSubject" && $(":checked[name='objectRight[]'][value$='_1.5'], :checked[name='objectRight[]'][value$='_2']").length==0)
			{validForm=false;  notify("<?= Txt::trad("EDIT_notifWriteAccess") ?>");}
		//Aucun accès pour l'user courant?
		var nbCurUserAccess=$(":checked[name='objectRight[]'][value*='spaceGuests'], :checked[name='objectRight[]'][value*='spaceUsers'], :checked[name='objectRight[]'][value*='_U<?= Ctrl::$curUser->_id ?>_']").length;
		if(nbCurUserAccess==0 && confirm("<?= Txt::trad("EDIT_notifNoPersoAccess") ?>")==false)  {validForm=false;}
	}
	////	Controle un mail (si besoin)
	if($("input[name='mail']").isEmpty()==false && !isMail($("input[name='mail']").val()))   {validForm=false;  notify("<?= Txt::trad("mailInvalid"); ?>");}
	////	Controle OK
	if(validForm==true)  {$(".loadingImg").css("display","block");}
	return validForm;
}
</script>

<style>
/*OPTIONS D'EDITION (ex 'fieldset')*/
#objMenuBlocks				{text-align:left; margin-top:33px;}
#objMenuLabels				{display:table; width:100%; margin:33px 0px -33px 0px;}
.objMenuLabel				{display:table-cell; padding:3px; padding-top:8px; padding-bottom:8px; text-align:center; cursor:pointer; border-radius:3px 3px 0px 0px;}
.objMenuLabel[for='objMenuMain']		{min-width:125px!important;}
.objMenuLabel>span						{display:inline-block; margin-left:10px;}
.objMenuLabel:not(.objMenuLabelUnselect){border-bottom:none!important;}
.objMenuLabelUnselect		{opacity:0.7;}

/*DROITS D'ACCÈS*/
#objMenuMain				{text-align:center;}
[id^=spaceTable]			{text-align:center; margin-bottom:30px;}
.vSpaceTable				{display:inline-table; max-width:95%;}
.vSpaceTable img			{max-height:14px;}
.vSpaceTable>div			{display:table-row;}
.vSpaceTable>div>div		{display:table-cell; padding:4px;}
.vSpaceTable .vSpaceLabel	{min-width:220px; cursor:pointer; text-align:left;}
.vSpaceTitle>div			{cursor:help; padding:5px!important;}
.vSpaceRead, .vSpaceWrite, .vSpaceWriteLimit	{width:90px!important; text-align:center;}
.vSpaceWriteLimit								{width:150px!important;}
.vSpaceWriteLimit img[src*='edit']				{opacity:0.6;}
.vSpaceHideUser			{display:none!important;}
.vShowAllSpaceUsers			{text-align:center; cursor:pointer; margin-top:8px;}
.vShowAllSpaces				{text-align:center; display:none; cursor:pointer;}

/*FICHIERS JOINTS*/
#addAttachedFileLabel		{text-align:center; margin-bottom:20px;}
.addAttachedFileInsertDiv	{display:none;}
[id^='addAttachedFileDiv'], [id^='menuAttachedFile']	{margin-top:20px;text-align:center;}
[id^='addAttachedFileDiv']:not(#addAttachedFileDiv1)	{display:none;}

/*NOTIFICATION PAR MAIL AND CO*/
#notifMailUsersPlus, #notifMailSelectList, #notifMailOptions	{display:none;}
#notifMailSelectList		{margin-top:5px; margin-left:10px; background-color:#f5f5f5; border-radius:3px;}
#notifMailSelectList>div	{display:inline-block; width:190px; padding:4px;}
#notifMailOptions>div		{margin-left:10px; margin-top:8px;}


/*RESPONSIVE -> 440px!*/
@media screen and (max-width:440px){
	.objMenuLabel[for='objMenuMain']	{min-width:80px!important;}
	.objMenuLabel				{font-size:9pt!important;}
	.objMenuLabel img			{display:none;}
	.vSpaceTable .vSpaceLabel	{min-width:160px;}
	.vSpaceTitle img			{display:none;}
	.vSpaceRead, .vSpaceWrite, .vSpaceWriteLimit	{font-size:95%!important;}
}
</style>


<?php
////	INITIALISE L'EDITEUR HTML D'UN CHAMP (description ou autre) ?
if($curObj::htmlEditorField!==null)  {echo CtrlMisc::initHtmlEditor($curObj::htmlEditorField);}

////	CONTENU DES MENUS
if(!empty($mainMenu) || !empty($attachedFiles) || !empty($moreOptions))
{
	////	ONGLETS DES MENUS
	echo "<div id='objMenuLabels'>";
		if(!empty($mainMenu))		{echo "<div class='objMenuLabel noSelect' for='objMenuMain'><img src='app/img/editMain.png'> ".$mainMenuLabel."</div>";}
		if(!empty($attachedFiles))	{echo "<div class='objMenuLabel noSelect ".(!empty($attachedFilesList)?"sLinkSelect":null)."' for='objMenuAttachedFiles'><img src='app/img/editAttachment.png'> ".Txt::trad("EDIT_attachedFile")."</div>";}
		if(!empty($moreOptions)){
			echo "<div class='objMenuLabel noSelect' for='objMenuMoreOptions'>";
				if(!empty($notifMail))	{echo "<span> <img src='app/img/editNotif.png'> ".Txt::trad("EDIT_notifMail")." &nbsp;</span>";}
				if(!empty($shortcut))	{echo "<span title=\"".Txt::trad("EDIT_shortcutInfo")."\" ".(!empty($shortcutChecked)?"class='sLinkSelect'":null)."><img src='app/img/shortcut.png'> ".Txt::trad("EDIT_shortcut")." &nbsp;</span>";}
			echo "</div>";
		}
	echo "</div>";

	////	OPTIONS D'EDITION
	echo "<div id='objMenuBlocks' class='lightboxBlock'>";

		////	MENU PRINCIPAL : DROITS D'ACCES
		if(!empty($mainMenu))
		{
			echo "<div id='objMenuMain'>";
				//MENU GUEST : IDENTIFICATION
				if($mainMenu=="identification")  {echo Txt::trad("EDIT_guest")." <input type='text' name='guest' onkeyup=\"this.value=this.value.slice(0,150)\"><hr>".CtrlMisc::menuCaptcha();}

				//MENU USER : (OBJETS INDEPENDANTS)
				if($mainMenu=="accessRights")
				{
					//DROIT D'ACCES DES BLOCK D'ESPACES
					foreach($blocksAccessRight as $spaceCpt=>$tmpSpace)
					{
						//BLOCK DE L'ESPACE
						echo "<div id=\"spaceTable".$tmpSpace->_id."\">";
							//TABLEAU D'UN ESPACE
							echo "<div class='vSpaceTable'>";
								//ENTETE DE L'ESPACE
								echo "<div class='vSpaceTitle'>
										<div class='vSpaceLabel' title=\"".$tmpSpace->description."\">".$tmpSpace->name."</div>
										<div class='vSpaceRead' title=\"".Txt::trad("readInfos")."\">".Txt::trad("accessRead")." <img src='app/img/eye.png'></div>
										<div class='vSpaceWriteLimit' title=\"".$writeReadLimitInfos."\">".Txt::trad("accessWriteLimit")." <img src='app/img/edit.png'></div>
										<div class='vSpaceWrite' title=\"".Txt::trad("writeInfos")."\">".Txt::trad("accessWrite")." <img src='app/img/edit.png'></div>
									  </div>";
								//TARGETS DE L'ESPACE (id des checkboxes deja dans "boxProp"!)
								foreach($tmpSpace->targetLines as $tmpTarget)
								{
									$tmpTarget["classHideUser"]=(!empty($tmpTarget["hideUser"]))  ?  "vSpaceHideUser"  :  null;
									$tmpTarget["tooltip"]=(!empty($tmpTarget["tooltip"]))  ?  "title=\"".$tmpTarget["tooltip"]."\""  :  null;
									$tmpTarget["icon"]=(!empty($tmpTarget["icon"]))  ?  "<img src='app/img/".$tmpTarget["icon"]."'>"  :  null;
									echo "<div class='vSpaceTarget sTableRow ".$tmpTarget["classHideUser"]."' id=\"targetLine".$tmpTarget["targetId"]."\">
											<div class='vSpaceLabel' id=\"".$tmpTarget["targetId"]."\" ".$tmpTarget["tooltip"].">".$tmpTarget["icon"]." ".$tmpTarget["label"]."</div>
											<div class='vSpaceRead' title=\"".Txt::trad("readInfos")."\"><input type='checkbox' name='objectRight[]' ".$tmpTarget["boxProp"]["1"]."></div>
											<div class='vSpaceWriteLimit' title=\"".$writeReadLimitInfos."\"><input type='checkbox' name='objectRight[]' ".$tmpTarget["boxProp"]["1.5"]."></div>
											<div class='vSpaceWrite' title=\"".Txt::trad("writeInfos")."\"><input type='checkbox' name='objectRight[]' ".$tmpTarget["boxProp"]["2"]."></div>
										  </div>";
								}
							echo "</div>";
							//BOUTON "AFFICHER TOUS LES UTILISATEURS"
							if($tmpSpace->showAllSpaceUsers==true)  {echo "<div class='vShowAllSpaceUsers' for='#spaceTable".$tmpSpace->_id."'>".Txt::trad("EDIT_showAllSpaceUsers")." <img src='app/img/arrowBottom.png'></div>";}
						//BLOCK DE L'ESPACE
						echo "</div>";
					}
					// "AFFICHER TOUS LES ESPACES"  /  ETENDRE LES DROITS AUX SOUS-DOSSIERS  /  INFOS DES DROITS D'ACCES AUX SUJETS
					if(count($blocksAccessRight)>1)  {echo "<div class='vShowAllSpaces' onclick=\"$(this).hide();$('[id^=spaceTable]').fadeIn();\"><hr>".Txt::trad("EDIT_mySpaces")." <img src='app/img/arrowBottom.png'></div>";}
					if(!empty($extendToSubfolders))  {echo "<div class='infos'><label for='extendToSubfolders' title=\"".Txt::trad("EDIT_accessRightSubFolders_info")."\">".Txt::trad("EDIT_accessRightSubFolders")."</label><input type='checkbox' name='extendToSubfolders' id='extendToSubfolders' value='1'></div>";}
					if($curObj::objectType=="forumSubject")  {echo "<div class='infos'>".Txt::trad("FORUM_accessRightInfos")."</div>";}
				}
			echo "</div>";
		}

		////	MENU "ATTACHED FILES" (FICHIERS JOINTS)
		if(!empty($attachedFiles))
		{
			echo "<div id='objMenuAttachedFiles'>
					<div id='addAttachedFileLabel'><img src='app/img/attachment.png'> ".Txt::trad("EDIT_attachedFileInfo")."</div>";
					//Fichiers à ajouter (10 maxi)
					for($cptFile=1; $cptFile<=10; $cptFile++){
						$attachedFileOptions=($curObj::htmlEditorField!==null)  ?  "<div class='addAttachedFileInsertDiv'><input type='checkbox' name=\"addAttachedFileInsert".$cptFile."\" id=\"addAttachedFileInsert".$cptFile."\" value='1'><label for=\"addAttachedFileInsert".$cptFile."\" title=\"".Txt::trad("EDIT_attachedFileInsertInfo")."\" class='abbr'>".Txt::trad("EDIT_attachedFileInsert")."</label></div>"  :  null;
						echo "<div id=\"addAttachedFileDiv".$cptFile."\"><input type='file' name=\"addAttachedFile".$cptFile."\">".$attachedFileOptions."</div>";
					}
					//Fichiers déjà enregistrés
					if(!empty($attachedFilesList))
					{
						echo "<br><hr>";
						foreach($attachedFilesList as $tmpFile){
							$deleteOrInsertText=" &nbsp;<img src='app/img/delete.png' title=\"".Txt::trad("delete")."\" onclick=\"deleteAttachedFile(".$tmpFile["_id"].");\" class='sLink'>";
							if($curObj::htmlEditorField!==null && File::controlType("attachedFileInsert",$tmpFile["name"]))   {$deleteOrInsertText.=" &nbsp;<img src='app/img/editAttachmentInsertText.png' title=\"".Txt::trad("EDIT_attachedFileInsertInfo")."\" ".MdlObject::attachedFileInsert($tmpFile["_id"],true)." class='sLink'>";}
							echo "<div id=\"menuAttachedFile".$tmpFile["_id"]."\"><img src='app/img/dot.png'> ".$tmpFile["name"]." : ".$deleteOrInsertText."</div>";
						}
					}
			echo "</div>";
		}
		
		////	MENU "MORE OPTIONS" (NOTIF / SHORTCUT)
		if(!empty($moreOptions))
		{
			echo "<div id='objMenuMoreOptions'>";
			////	MENU "NOTIF MAIL" (notifications par mail)
			if(!empty($notifMail))
			{
				//CHECKBOX PRINCIPAL & OPTIONS
				echo "<img src='app/img/editNotif.png'>&nbsp;<input type='checkbox' name='notifMail' id='boxNotifMail' value='1' onChange=\"$('#notifMailOptions').slideToggle();\"> <label for='boxNotifMail' title=\"".Txt::trad("EDIT_notifMailInfo")."\">".Txt::trad("EDIT_notifMail2")."</label>
					<div id='notifMailOptions'>";
					//JOINDRE L'OBJET FICHIER A LA NOTIFICATION ?
					if($curObj::objectType=="file" && $curObj->_id==0)  {echo "<div><img src='app/img/dependency.png'><input type='checkbox' name='notifMailAddFiles' id='boxNotifMailAddFiles' value='1'><label for='boxNotifMailAddFiles' title=\"".Txt::trad("FILE_fileSizeLimit")." ".File::displaySize(File::mailMaxFilesSize)."\">".Txt::trad("EDIT_notifMailAddFiles")."</label></div>";}
					//MONTRER LES DESTINATAIRES DANS LE MESSAGE  /  ACCUSE DE RECEPTION  /  SPECIFIER LES DESTINATAIRES
					echo "<div><img src='app/img/dependency.png'><input type='checkbox' name='hideRecipients' id='boxhideRecipients' value='1'><label for='boxhideRecipients' title=\"".Txt::trad("MAIL_hideRecipientsInfo")."\">".Txt::trad("MAIL_hideRecipients")."</label></div>
						  <div><img src='app/img/dependency.png'><input type='checkbox' name='receptionNotif' id='boxReceptionNotif' value='1'><label for='boxReceptionNotif' title=\"".Txt::trad("MAIL_receptionNotifInfo")."\">".Txt::trad("MAIL_receptionNotif")."</label></div>
						  <div><img src='app/img/dependency.png'><input type='checkbox' name='notifMailSelect' id='boxNotifMailSelect' value='1' onclick=\"$('#notifMailSelectList').slideToggle();\"><label for='boxNotifMailSelect'>".Txt::trad("EDIT_notifMailSelect")."</label></div>";
					//LISTE DETAILLE DES UTILISATEURS (masque d'abord les users absent de l'espace courant)
					echo "<div id='notifMailSelectList'>";
						foreach($notifMailUsers as $tmpUser)  {echo "<div id=\"divNotifMailUser".$tmpUser->_id."\" ".(!in_array($tmpUser->_id,$curSpaceUsersIds)?"style='display:none'":null)."><input type='checkbox' name='notifMailUsers[]' value=\"".$tmpUser->_id."\" id=\"boxNotifMailUsers".$tmpUser->_id."\"> <label for=\"boxNotifMailUsers".$tmpUser->_id."\" title=\"".$tmpUser->mail."\">".$tmpUser->display()."</label></div>";}
						if(count($notifMailUsers)>count($curSpaceUsersIds))  {echo "<br><div onclick=\"$('[id^=divNotifMailUser]').fadeIn();$(this).fadeOut();\" class='sLink'>".Txt::trad("EDIT_notifMailMoreUsers")."</div>";}
					echo "</div>";
				echo "</div>";
			}
			////	MENU "SHORTCUT" (raccourci)
			if(!empty($shortcut))
				{echo "<br><br><img src='app/img/shortcut.png'>&nbsp; <input type='checkbox' name='shortcut' id='boxShortcut' value='1' ".$shortcutChecked."><label for='boxShortcut'>".Txt::trad("EDIT_shortcutInfo")."</label>";}
			echo "</div>";
		}
	//OPTIONS D'EDITION: FIN
	echo "</div>";
}

////	VALIDATION & INPUTS HIDDEN DU FORMULAIRE & ICONE "LOADING"
echo Txt::submit();
if(!empty($curObj->_idContainer))	{echo "<input type='hidden' name='_idContainer' value=\"".$curObj->_idContainer ."\">";}
echo "<div class='loadingImg'><img src='app/img/loading.gif'></div>";
?>